| # Makefile.in generated by automake 1.14.1 from Makefile.am. |
| # @configure_input@ |
| |
| # Copyright (C) 1994-2013 Free Software Foundation, Inc. |
| |
| # This Makefile.in is free software; the Free Software Foundation |
| # gives unlimited permission to copy and/or distribute it, |
| # with or without modifications, as long as this notice is preserved. |
| |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY, to the extent permitted by law; without |
| # even the implied warranty of MERCHANTABILITY or FITNESS FOR A |
| # PARTICULAR PURPOSE. |
| |
| @SET_MAKE@ |
| |
| |
| VPATH = @srcdir@ |
| am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)' |
| am__make_running_with_option = \ |
| case $${target_option-} in \ |
| ?) ;; \ |
| *) echo "am__make_running_with_option: internal error: invalid" \ |
| "target option '$${target_option-}' specified" >&2; \ |
| exit 1;; \ |
| esac; \ |
| has_opt=no; \ |
| sane_makeflags=$$MAKEFLAGS; \ |
| if $(am__is_gnu_make); then \ |
| sane_makeflags=$$MFLAGS; \ |
| else \ |
| case $$MAKEFLAGS in \ |
| *\\[\ \ ]*) \ |
| bs=\\; \ |
| sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ |
| | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ |
| esac; \ |
| fi; \ |
| skip_next=no; \ |
| strip_trailopt () \ |
| { \ |
| flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ |
| }; \ |
| for flg in $$sane_makeflags; do \ |
| test $$skip_next = yes && { skip_next=no; continue; }; \ |
| case $$flg in \ |
| *=*|--*) continue;; \ |
| -*I) strip_trailopt 'I'; skip_next=yes;; \ |
| -*I?*) strip_trailopt 'I';; \ |
| -*O) strip_trailopt 'O'; skip_next=yes;; \ |
| -*O?*) strip_trailopt 'O';; \ |
| -*l) strip_trailopt 'l'; skip_next=yes;; \ |
| -*l?*) strip_trailopt 'l';; \ |
| -[dEDm]) skip_next=yes;; \ |
| -[JT]) skip_next=yes;; \ |
| esac; \ |
| case $$flg in \ |
| *$$target_option*) has_opt=yes; break;; \ |
| esac; \ |
| done; \ |
| test $$has_opt = yes |
| am__make_dryrun = (target_option=n; $(am__make_running_with_option)) |
| am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) |
| pkgdatadir = $(datadir)/@PACKAGE@ |
| pkgincludedir = $(includedir)/@PACKAGE@ |
| pkglibdir = $(libdir)/@PACKAGE@ |
| pkglibexecdir = $(libexecdir)/@PACKAGE@ |
| am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| install_sh_DATA = $(install_sh) -c -m 644 |
| install_sh_PROGRAM = $(install_sh) -c |
| install_sh_SCRIPT = $(install_sh) -c |
| INSTALL_HEADER = $(INSTALL_DATA) |
| transform = $(program_transform_name) |
| NORMAL_INSTALL = : |
| PRE_INSTALL = : |
| POST_INSTALL = : |
| NORMAL_UNINSTALL = : |
| PRE_UNINSTALL = : |
| POST_UNINSTALL = : |
| build_triplet = @build@ |
| host_triplet = @host@ |
| @ENABLE_HTTPS_TRUE@am__append_1 = https |
| @HAVE_CURL_TRUE@check_PROGRAMS = test_start_stop$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_get$(EXEEXT) test_get_sendfile$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_urlparse$(EXEEXT) test_put$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ $(am__EXEEXT_1) test_process_headers$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_process_arguments$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_parse_cookies$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_large_put$(EXEEXT) test_get11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_get_sendfile11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_put11$(EXEEXT) test_large_put11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_long_header$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_long_header11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_get_chunked$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_put_chunked$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_iplimit11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_termination$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ test_timeout$(EXEEXT) test_callback$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ $(am__EXEEXT_2) perf_get$(EXEEXT) \ |
| @HAVE_CURL_TRUE@ $(am__EXEEXT_3) $(am__EXEEXT_4) \ |
| @HAVE_CURL_TRUE@ $(am__EXEEXT_5) $(am__EXEEXT_6) |
| @HAVE_CURL_TRUE@@HAVE_POSIX_THREADS_TRUE@am__append_2 = \ |
| @HAVE_CURL_TRUE@@HAVE_POSIX_THREADS_TRUE@ test_quiesce |
| |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@am__append_3 = \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_postform \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post_loop \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post11 \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_postform11 \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post_loop11 |
| |
| @HAVE_CURL_TRUE@noinst_PROGRAMS = test_options$(EXEEXT) |
| @ENABLE_DAUTH_TRUE@@HAVE_CURL_TRUE@am__append_4 = \ |
| @ENABLE_DAUTH_TRUE@@HAVE_CURL_TRUE@ test_digestauth test_digestauth_with_arguments |
| |
| @HAVE_W32_TRUE@am__append_5 = \ |
| @HAVE_W32_TRUE@ $(top_builddir)/src/platform/libplatform_interface.la |
| |
| @HAVE_W32_TRUE@am__append_6 = \ |
| @HAVE_W32_TRUE@ $(top_builddir)/src/platform/libplatform_interface.la |
| |
| @HAVE_W32_TRUE@am__append_7 = \ |
| @HAVE_W32_TRUE@ $(top_builddir)/src/platform/libplatform_interface.la |
| |
| @HAVE_W32_TRUE@am__append_8 = \ |
| @HAVE_W32_TRUE@ $(top_builddir)/src/platform/libplatform_interface.la |
| |
| subdir = src/testcurl |
| DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \ |
| $(top_srcdir)/depcomp $(top_srcdir)/test-driver |
| ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 |
| am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \ |
| $(top_srcdir)/m4/ax_append_flag.m4 \ |
| $(top_srcdir)/m4/ax_check_compile_flag.m4 \ |
| $(top_srcdir)/m4/ax_check_link_flag.m4 \ |
| $(top_srcdir)/m4/ax_check_openssl.m4 \ |
| $(top_srcdir)/m4/ax_count_cpus.m4 \ |
| $(top_srcdir)/m4/ax_have_epoll.m4 \ |
| $(top_srcdir)/m4/ax_pthread.m4 \ |
| $(top_srcdir)/m4/ax_require_defined.m4 \ |
| $(top_srcdir)/m4/libcurl.m4 $(top_srcdir)/m4/libgcrypt.m4 \ |
| $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \ |
| $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \ |
| $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \ |
| $(top_srcdir)/configure.ac |
| am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ |
| $(ACLOCAL_M4) |
| mkinstalldirs = $(install_sh) -d |
| CONFIG_HEADER = $(top_builddir)/MHD_config.h |
| CONFIG_CLEAN_FILES = |
| CONFIG_CLEAN_VPATH_FILES = |
| LIBRARIES = $(noinst_LIBRARIES) |
| ARFLAGS = cru |
| AM_V_AR = $(am__v_AR_@AM_V@) |
| am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@) |
| am__v_AR_0 = @echo " AR " $@; |
| am__v_AR_1 = |
| libcurl_version_check_a_AR = $(AR) $(ARFLAGS) |
| libcurl_version_check_a_LIBADD = |
| am_libcurl_version_check_a_OBJECTS = curl_version_check.$(OBJEXT) |
| libcurl_version_check_a_OBJECTS = \ |
| $(am_libcurl_version_check_a_OBJECTS) |
| @HAVE_W32_FALSE@am__EXEEXT_1 = test_concurrent_stop$(EXEEXT) |
| @HAVE_CURL_BINARY_TRUE@@HAVE_W32_FALSE@am__EXEEXT_2 = test_get_response_cleanup$(EXEEXT) |
| @HAVE_W32_FALSE@am__EXEEXT_3 = perf_get_concurrent$(EXEEXT) |
| @HAVE_CURL_TRUE@@HAVE_POSIX_THREADS_TRUE@am__EXEEXT_4 = test_quiesce$(EXEEXT) |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@am__EXEEXT_5 = \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post$(EXEEXT) \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_postform$(EXEEXT) \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post_loop$(EXEEXT) \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_postform11$(EXEEXT) \ |
| @HAVE_CURL_TRUE@@HAVE_POSTPROCESSOR_TRUE@ test_post_loop11$(EXEEXT) |
| @ENABLE_DAUTH_TRUE@@HAVE_CURL_TRUE@am__EXEEXT_6 = \ |
| @ENABLE_DAUTH_TRUE@@HAVE_CURL_TRUE@ test_digestauth$(EXEEXT) \ |
| @ENABLE_DAUTH_TRUE@@HAVE_CURL_TRUE@ test_digestauth_with_arguments$(EXEEXT) |
| PROGRAMS = $(noinst_PROGRAMS) |
| am_perf_get_OBJECTS = perf_get.$(OBJEXT) |
| perf_get_OBJECTS = $(am_perf_get_OBJECTS) |
| perf_get_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| AM_V_lt = $(am__v_lt_@AM_V@) |
| am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@) |
| am__v_lt_0 = --silent |
| am__v_lt_1 = |
| am_perf_get_concurrent_OBJECTS = perf_get_concurrent.$(OBJEXT) |
| perf_get_concurrent_OBJECTS = $(am_perf_get_concurrent_OBJECTS) |
| perf_get_concurrent_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_callback_OBJECTS = test_callback.$(OBJEXT) |
| test_callback_OBJECTS = $(am_test_callback_OBJECTS) |
| test_callback_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_concurrent_stop_OBJECTS = test_concurrent_stop.$(OBJEXT) |
| test_concurrent_stop_OBJECTS = $(am_test_concurrent_stop_OBJECTS) |
| test_concurrent_stop_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_digestauth_OBJECTS = test_digestauth.$(OBJEXT) |
| test_digestauth_OBJECTS = $(am_test_digestauth_OBJECTS) |
| test_digestauth_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_digestauth_with_arguments_OBJECTS = \ |
| test_digestauth_with_arguments.$(OBJEXT) |
| test_digestauth_with_arguments_OBJECTS = \ |
| $(am_test_digestauth_with_arguments_OBJECTS) |
| test_digestauth_with_arguments_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_get_OBJECTS = test_get.$(OBJEXT) |
| test_get_OBJECTS = $(am_test_get_OBJECTS) |
| test_get_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_get11_OBJECTS = test_get.$(OBJEXT) |
| test_get11_OBJECTS = $(am_test_get11_OBJECTS) |
| test_get11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_get_chunked_OBJECTS = test_get_chunked.$(OBJEXT) |
| test_get_chunked_OBJECTS = $(am_test_get_chunked_OBJECTS) |
| test_get_chunked_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_get_response_cleanup_OBJECTS = \ |
| test_get_response_cleanup.$(OBJEXT) |
| test_get_response_cleanup_OBJECTS = \ |
| $(am_test_get_response_cleanup_OBJECTS) |
| test_get_response_cleanup_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_get_sendfile_OBJECTS = test_get_sendfile.$(OBJEXT) |
| test_get_sendfile_OBJECTS = $(am_test_get_sendfile_OBJECTS) |
| am_test_get_sendfile11_OBJECTS = test_get_sendfile.$(OBJEXT) |
| test_get_sendfile11_OBJECTS = $(am_test_get_sendfile11_OBJECTS) |
| am_test_iplimit11_OBJECTS = test_iplimit.$(OBJEXT) |
| test_iplimit11_OBJECTS = $(am_test_iplimit11_OBJECTS) |
| test_iplimit11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_large_put_OBJECTS = test_large_put.$(OBJEXT) |
| test_large_put_OBJECTS = $(am_test_large_put_OBJECTS) |
| test_large_put_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_large_put11_OBJECTS = test_large_put.$(OBJEXT) |
| test_large_put11_OBJECTS = $(am_test_large_put11_OBJECTS) |
| test_large_put11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_long_header_OBJECTS = test_long_header.$(OBJEXT) |
| test_long_header_OBJECTS = $(am_test_long_header_OBJECTS) |
| test_long_header_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_long_header11_OBJECTS = test_long_header.$(OBJEXT) |
| test_long_header11_OBJECTS = $(am_test_long_header11_OBJECTS) |
| test_long_header11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_options_OBJECTS = test_options.$(OBJEXT) |
| test_options_OBJECTS = $(am_test_options_OBJECTS) |
| test_options_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_parse_cookies_OBJECTS = test_parse_cookies.$(OBJEXT) |
| test_parse_cookies_OBJECTS = $(am_test_parse_cookies_OBJECTS) |
| test_parse_cookies_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_post_OBJECTS = test_post.$(OBJEXT) |
| test_post_OBJECTS = $(am_test_post_OBJECTS) |
| test_post_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_post11_OBJECTS = test_post.$(OBJEXT) |
| test_post11_OBJECTS = $(am_test_post11_OBJECTS) |
| test_post11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_post_loop_OBJECTS = test_post_loop.$(OBJEXT) |
| test_post_loop_OBJECTS = $(am_test_post_loop_OBJECTS) |
| test_post_loop_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_post_loop11_OBJECTS = test_post_loop.$(OBJEXT) |
| test_post_loop11_OBJECTS = $(am_test_post_loop11_OBJECTS) |
| test_post_loop11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_postform_OBJECTS = test_postform.$(OBJEXT) |
| test_postform_OBJECTS = $(am_test_postform_OBJECTS) |
| test_postform_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_postform11_OBJECTS = test_postform.$(OBJEXT) |
| test_postform11_OBJECTS = $(am_test_postform11_OBJECTS) |
| test_postform11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_process_arguments_OBJECTS = test_process_arguments.$(OBJEXT) |
| test_process_arguments_OBJECTS = $(am_test_process_arguments_OBJECTS) |
| test_process_arguments_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_process_headers_OBJECTS = test_process_headers.$(OBJEXT) |
| test_process_headers_OBJECTS = $(am_test_process_headers_OBJECTS) |
| test_process_headers_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_put_OBJECTS = test_put.$(OBJEXT) |
| test_put_OBJECTS = $(am_test_put_OBJECTS) |
| test_put_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_put11_OBJECTS = test_put.$(OBJEXT) |
| test_put11_OBJECTS = $(am_test_put11_OBJECTS) |
| test_put11_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_put_chunked_OBJECTS = test_put_chunked.$(OBJEXT) |
| test_put_chunked_OBJECTS = $(am_test_put_chunked_OBJECTS) |
| test_put_chunked_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_quiesce_OBJECTS = test_quiesce-test_quiesce.$(OBJEXT) |
| test_quiesce_OBJECTS = $(am_test_quiesce_OBJECTS) |
| am__DEPENDENCIES_1 = |
| test_quiesce_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| $(am__DEPENDENCIES_1) |
| test_quiesce_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_quiesce_CFLAGS) \ |
| $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@ |
| am_test_start_stop_OBJECTS = test_start_stop.$(OBJEXT) |
| test_start_stop_OBJECTS = $(am_test_start_stop_OBJECTS) |
| test_start_stop_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_termination_OBJECTS = test_termination.$(OBJEXT) |
| test_termination_OBJECTS = $(am_test_termination_OBJECTS) |
| test_termination_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_timeout_OBJECTS = test_timeout.$(OBJEXT) |
| test_timeout_OBJECTS = $(am_test_timeout_OBJECTS) |
| test_timeout_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| am_test_urlparse_OBJECTS = test_urlparse.$(OBJEXT) |
| test_urlparse_OBJECTS = $(am_test_urlparse_OBJECTS) |
| test_urlparse_DEPENDENCIES = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| AM_V_P = $(am__v_P_@AM_V@) |
| am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) |
| am__v_P_0 = false |
| am__v_P_1 = : |
| AM_V_GEN = $(am__v_GEN_@AM_V@) |
| am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) |
| am__v_GEN_0 = @echo " GEN " $@; |
| am__v_GEN_1 = |
| AM_V_at = $(am__v_at_@AM_V@) |
| am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) |
| am__v_at_0 = @ |
| am__v_at_1 = |
| DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) |
| depcomp = $(SHELL) $(top_srcdir)/depcomp |
| am__depfiles_maybe = depfiles |
| am__mv = mv -f |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) |
| LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \ |
| $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \ |
| $(AM_CFLAGS) $(CFLAGS) |
| AM_V_CC = $(am__v_CC_@AM_V@) |
| am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@) |
| am__v_CC_0 = @echo " CC " $@; |
| am__v_CC_1 = |
| CCLD = $(CC) |
| LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ |
| $(AM_LDFLAGS) $(LDFLAGS) -o $@ |
| AM_V_CCLD = $(am__v_CCLD_@AM_V@) |
| am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@) |
| am__v_CCLD_0 = @echo " CCLD " $@; |
| am__v_CCLD_1 = |
| SOURCES = $(libcurl_version_check_a_SOURCES) $(perf_get_SOURCES) \ |
| $(perf_get_concurrent_SOURCES) $(test_callback_SOURCES) \ |
| $(test_concurrent_stop_SOURCES) $(test_digestauth_SOURCES) \ |
| $(test_digestauth_with_arguments_SOURCES) $(test_get_SOURCES) \ |
| $(test_get11_SOURCES) $(test_get_chunked_SOURCES) \ |
| $(test_get_response_cleanup_SOURCES) \ |
| $(test_get_sendfile_SOURCES) $(test_get_sendfile11_SOURCES) \ |
| $(test_iplimit11_SOURCES) $(test_large_put_SOURCES) \ |
| $(test_large_put11_SOURCES) $(test_long_header_SOURCES) \ |
| $(test_long_header11_SOURCES) $(test_options_SOURCES) \ |
| $(test_parse_cookies_SOURCES) $(test_post_SOURCES) \ |
| $(test_post11_SOURCES) $(test_post_loop_SOURCES) \ |
| $(test_post_loop11_SOURCES) $(test_postform_SOURCES) \ |
| $(test_postform11_SOURCES) $(test_process_arguments_SOURCES) \ |
| $(test_process_headers_SOURCES) $(test_put_SOURCES) \ |
| $(test_put11_SOURCES) $(test_put_chunked_SOURCES) \ |
| $(test_quiesce_SOURCES) $(test_start_stop_SOURCES) \ |
| $(test_termination_SOURCES) $(test_timeout_SOURCES) \ |
| $(test_urlparse_SOURCES) |
| DIST_SOURCES = $(libcurl_version_check_a_SOURCES) $(perf_get_SOURCES) \ |
| $(perf_get_concurrent_SOURCES) $(test_callback_SOURCES) \ |
| $(test_concurrent_stop_SOURCES) $(test_digestauth_SOURCES) \ |
| $(test_digestauth_with_arguments_SOURCES) $(test_get_SOURCES) \ |
| $(test_get11_SOURCES) $(test_get_chunked_SOURCES) \ |
| $(test_get_response_cleanup_SOURCES) \ |
| $(test_get_sendfile_SOURCES) $(test_get_sendfile11_SOURCES) \ |
| $(test_iplimit11_SOURCES) $(test_large_put_SOURCES) \ |
| $(test_large_put11_SOURCES) $(test_long_header_SOURCES) \ |
| $(test_long_header11_SOURCES) $(test_options_SOURCES) \ |
| $(test_parse_cookies_SOURCES) $(test_post_SOURCES) \ |
| $(test_post11_SOURCES) $(test_post_loop_SOURCES) \ |
| $(test_post_loop11_SOURCES) $(test_postform_SOURCES) \ |
| $(test_postform11_SOURCES) $(test_process_arguments_SOURCES) \ |
| $(test_process_headers_SOURCES) $(test_put_SOURCES) \ |
| $(test_put11_SOURCES) $(test_put_chunked_SOURCES) \ |
| $(test_quiesce_SOURCES) $(test_start_stop_SOURCES) \ |
| $(test_termination_SOURCES) $(test_timeout_SOURCES) \ |
| $(test_urlparse_SOURCES) |
| RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \ |
| ctags-recursive dvi-recursive html-recursive info-recursive \ |
| install-data-recursive install-dvi-recursive \ |
| install-exec-recursive install-html-recursive \ |
| install-info-recursive install-pdf-recursive \ |
| install-ps-recursive install-recursive installcheck-recursive \ |
| installdirs-recursive pdf-recursive ps-recursive \ |
| tags-recursive uninstall-recursive |
| am__can_run_installinfo = \ |
| case $$AM_UPDATE_INFO_DIR in \ |
| n|no|NO) false;; \ |
| *) (install-info --version) >/dev/null 2>&1;; \ |
| esac |
| RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ |
| distclean-recursive maintainer-clean-recursive |
| am__recursive_targets = \ |
| $(RECURSIVE_TARGETS) \ |
| $(RECURSIVE_CLEAN_TARGETS) \ |
| $(am__extra_recursive_targets) |
| AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \ |
| check recheck distdir |
| am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) |
| # Read a list of newline-separated strings from the standard input, |
| # and print each of them once, without duplicates. Input order is |
| # *not* preserved. |
| am__uniquify_input = $(AWK) '\ |
| BEGIN { nonempty = 0; } \ |
| { items[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in items) print i; }; } \ |
| ' |
| # Make sure the list of sources is unique. This is necessary because, |
| # e.g., the same source file might be shared among _SOURCES variables |
| # for different programs/libraries. |
| am__define_uniq_tagged_files = \ |
| list='$(am__tagged_files)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | $(am__uniquify_input)` |
| ETAGS = etags |
| CTAGS = ctags |
| am__tty_colors_dummy = \ |
| mgn= red= grn= lgn= blu= brg= std=; \ |
| am__color_tests=no |
| am__tty_colors = { \ |
| $(am__tty_colors_dummy); \ |
| if test "X$(AM_COLOR_TESTS)" = Xno; then \ |
| am__color_tests=no; \ |
| elif test "X$(AM_COLOR_TESTS)" = Xalways; then \ |
| am__color_tests=yes; \ |
| elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \ |
| am__color_tests=yes; \ |
| fi; \ |
| if test $$am__color_tests = yes; then \ |
| red='[0;31m'; \ |
| grn='[0;32m'; \ |
| lgn='[1;32m'; \ |
| blu='[1;34m'; \ |
| mgn='[0;35m'; \ |
| brg='[1m'; \ |
| std='[m'; \ |
| fi; \ |
| } |
| am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; |
| am__vpath_adj = case $$p in \ |
| $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ |
| *) f=$$p;; \ |
| esac; |
| am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`; |
| am__install_max = 40 |
| am__nobase_strip_setup = \ |
| srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'` |
| am__nobase_strip = \ |
| for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||" |
| am__nobase_list = $(am__nobase_strip_setup); \ |
| for p in $$list; do echo "$$p $$p"; done | \ |
| sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \ |
| $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \ |
| if (++n[$$2] == $(am__install_max)) \ |
| { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \ |
| END { for (dir in files) print dir, files[dir] }' |
| am__base_list = \ |
| sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \ |
| sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g' |
| am__uninstall_files_from_dir = { \ |
| test -z "$$files" \ |
| || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \ |
| || { echo " ( cd '$$dir' && rm -f" $$files ")"; \ |
| $(am__cd) "$$dir" && rm -f $$files; }; \ |
| } |
| am__recheck_rx = ^[ ]*:recheck:[ ]* |
| am__global_test_result_rx = ^[ ]*:global-test-result:[ ]* |
| am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]* |
| # A command that, given a newline-separated list of test names on the |
| # standard input, print the name of the tests that are to be re-run |
| # upon "make recheck". |
| am__list_recheck_tests = $(AWK) '{ \ |
| recheck = 1; \ |
| while ((rc = (getline line < ($$0 ".trs"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| { \ |
| if ((getline line2 < ($$0 ".log")) < 0) \ |
| recheck = 0; \ |
| break; \ |
| } \ |
| else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \ |
| { \ |
| recheck = 0; \ |
| break; \ |
| } \ |
| else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \ |
| { \ |
| break; \ |
| } \ |
| }; \ |
| if (recheck) \ |
| print $$0; \ |
| close ($$0 ".trs"); \ |
| close ($$0 ".log"); \ |
| }' |
| # A command that, given a newline-separated list of test names on the |
| # standard input, create the global log from their .trs and .log files. |
| am__create_global_log = $(AWK) ' \ |
| function fatal(msg) \ |
| { \ |
| print "fatal: making $@: " msg | "cat >&2"; \ |
| exit 1; \ |
| } \ |
| function rst_section(header) \ |
| { \ |
| print header; \ |
| len = length(header); \ |
| for (i = 1; i <= len; i = i + 1) \ |
| printf "="; \ |
| printf "\n\n"; \ |
| } \ |
| { \ |
| copy_in_global_log = 1; \ |
| global_test_result = "RUN"; \ |
| while ((rc = (getline line < ($$0 ".trs"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| fatal("failed to read from " $$0 ".trs"); \ |
| if (line ~ /$(am__global_test_result_rx)/) \ |
| { \ |
| sub("$(am__global_test_result_rx)", "", line); \ |
| sub("[ ]*$$", "", line); \ |
| global_test_result = line; \ |
| } \ |
| else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \ |
| copy_in_global_log = 0; \ |
| }; \ |
| if (copy_in_global_log) \ |
| { \ |
| rst_section(global_test_result ": " $$0); \ |
| while ((rc = (getline line < ($$0 ".log"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| fatal("failed to read from " $$0 ".log"); \ |
| print line; \ |
| }; \ |
| printf "\n"; \ |
| }; \ |
| close ($$0 ".trs"); \ |
| close ($$0 ".log"); \ |
| }' |
| # Restructured Text title. |
| am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; } |
| # Solaris 10 'make', and several other traditional 'make' implementations, |
| # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it |
| # by disabling -e (using the XSI extension "set +e") if it's set. |
| am__sh_e_setup = case $$- in *e*) set +e;; esac |
| # Default flags passed to test drivers. |
| am__common_driver_flags = \ |
| --color-tests "$$am__color_tests" \ |
| --enable-hard-errors "$$am__enable_hard_errors" \ |
| --expect-failure "$$am__expect_failure" |
| # To be inserted before the command running the test. Creates the |
| # directory for the log if needed. Stores in $dir the directory |
| # containing $f, in $tst the test, in $log the log. Executes the |
| # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and |
| # passes TESTS_ENVIRONMENT. Set up options for the wrapper that |
| # will run the test scripts (or their associated LOG_COMPILER, if |
| # thy have one). |
| am__check_pre = \ |
| $(am__sh_e_setup); \ |
| $(am__vpath_adj_setup) $(am__vpath_adj) \ |
| $(am__tty_colors); \ |
| srcdir=$(srcdir); export srcdir; \ |
| case "$@" in \ |
| */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \ |
| *) am__odir=.;; \ |
| esac; \ |
| test "x$$am__odir" = x"." || test -d "$$am__odir" \ |
| || $(MKDIR_P) "$$am__odir" || exit $$?; \ |
| if test -f "./$$f"; then dir=./; \ |
| elif test -f "$$f"; then dir=; \ |
| else dir="$(srcdir)/"; fi; \ |
| tst=$$dir$$f; log='$@'; \ |
| if test -n '$(DISABLE_HARD_ERRORS)'; then \ |
| am__enable_hard_errors=no; \ |
| else \ |
| am__enable_hard_errors=yes; \ |
| fi; \ |
| case " $(XFAIL_TESTS) " in \ |
| *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \ |
| am__expect_failure=yes;; \ |
| *) \ |
| am__expect_failure=no;; \ |
| esac; \ |
| $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT) |
| # A shell command to get the names of the tests scripts with any registered |
| # extension removed (i.e., equivalently, the names of the test logs, with |
| # the '.log' extension removed). The result is saved in the shell variable |
| # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly, |
| # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)", |
| # since that might cause problem with VPATH rewrites for suffix-less tests. |
| # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'. |
| am__set_TESTS_bases = \ |
| bases='$(TEST_LOGS)'; \ |
| bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \ |
| bases=`echo $$bases` |
| RECHECK_LOGS = $(TEST_LOGS) |
| TEST_SUITE_LOG = test-suite.log |
| TEST_EXTENSIONS = @EXEEXT@ .test |
| LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver |
| LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS) |
| am__set_b = \ |
| case '$@' in \ |
| */*) \ |
| case '$*' in \ |
| */*) b='$*';; \ |
| *) b=`echo '$@' | sed 's/\.log$$//'`; \ |
| esac;; \ |
| *) \ |
| b='$*';; \ |
| esac |
| am__test_logs1 = $(TESTS:=.log) |
| am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log) |
| TEST_LOGS = $(am__test_logs2:.test.log=.log) |
| TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver |
| TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \ |
| $(TEST_LOG_FLAGS) |
| DIST_SUBDIRS = . https |
| DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) |
| am__relativize = \ |
| dir0=`pwd`; \ |
| sed_first='s,^\([^/]*\)/.*$$,\1,'; \ |
| sed_rest='s,^[^/]*/*,,'; \ |
| sed_last='s,^.*/\([^/]*\)$$,\1,'; \ |
| sed_butlast='s,/*[^/]*$$,,'; \ |
| while test -n "$$dir1"; do \ |
| first=`echo "$$dir1" | sed -e "$$sed_first"`; \ |
| if test "$$first" != "."; then \ |
| if test "$$first" = ".."; then \ |
| dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \ |
| dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \ |
| else \ |
| first2=`echo "$$dir2" | sed -e "$$sed_first"`; \ |
| if test "$$first2" = "$$first"; then \ |
| dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \ |
| else \ |
| dir2="../$$dir2"; \ |
| fi; \ |
| dir0="$$dir0"/"$$first"; \ |
| fi; \ |
| fi; \ |
| dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ |
| done; \ |
| reldir="$$dir2" |
| ACLOCAL = @ACLOCAL@ |
| AMTAR = @AMTAR@ |
| AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ |
| AR = @AR@ |
| AS = @AS@ |
| AUTOCONF = @AUTOCONF@ |
| AUTOHEADER = @AUTOHEADER@ |
| AUTOMAKE = @AUTOMAKE@ |
| AWK = @AWK@ |
| CC = @CC@ |
| CCDEPMODE = @CCDEPMODE@ |
| CFLAGS = @CFLAGS@ |
| CPP = @CPP@ |
| CPPFLAGS = @CPPFLAGS@ |
| CPU_COUNT = @CPU_COUNT@ |
| CYGPATH_W = @CYGPATH_W@ |
| DEFS = @DEFS@ |
| DEPDIR = @DEPDIR@ |
| DLLTOOL = @DLLTOOL@ |
| DSYMUTIL = @DSYMUTIL@ |
| DUMPBIN = @DUMPBIN@ |
| ECHO_C = @ECHO_C@ |
| ECHO_N = @ECHO_N@ |
| ECHO_T = @ECHO_T@ |
| EGREP = @EGREP@ |
| EXEEXT = @EXEEXT@ |
| FGREP = @FGREP@ |
| GNUTLS_CFLAGS = @GNUTLS_CFLAGS@ |
| GNUTLS_CPPFLAGS = @GNUTLS_CPPFLAGS@ |
| GNUTLS_LDFLAGS = @GNUTLS_LDFLAGS@ |
| GNUTLS_LIBS = @GNUTLS_LIBS@ |
| GREP = @GREP@ |
| HAVE_CURL_BINARY = @HAVE_CURL_BINARY@ |
| HAVE_MAKEINFO_BINARY = @HAVE_MAKEINFO_BINARY@ |
| HIDDEN_VISIBILITY_CFLAGS = @HIDDEN_VISIBILITY_CFLAGS@ |
| INSTALL = @INSTALL@ |
| INSTALL_DATA = @INSTALL_DATA@ |
| INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| LD = @LD@ |
| LDFLAGS = @LDFLAGS@ |
| LIBCURL = @LIBCURL@ |
| LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@ |
| LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@ |
| LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@ |
| LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@ |
| LIBOBJS = @LIBOBJS@ |
| LIBS = @LIBS@ |
| LIBSPDY_VERSION_AGE = @LIBSPDY_VERSION_AGE@ |
| LIBSPDY_VERSION_CURRENT = @LIBSPDY_VERSION_CURRENT@ |
| LIBSPDY_VERSION_REVISION = @LIBSPDY_VERSION_REVISION@ |
| LIBTOOL = @LIBTOOL@ |
| LIB_VERSION_AGE = @LIB_VERSION_AGE@ |
| LIB_VERSION_CURRENT = @LIB_VERSION_CURRENT@ |
| LIB_VERSION_REVISION = @LIB_VERSION_REVISION@ |
| LIPO = @LIPO@ |
| LN_S = @LN_S@ |
| LTLIBOBJS = @LTLIBOBJS@ |
| MAKEINFO = @MAKEINFO@ |
| MANIFEST_TOOL = @MANIFEST_TOOL@ |
| MHD_LIBDEPS = @MHD_LIBDEPS@ |
| MHD_LIBDEPS_PKGCFG = @MHD_LIBDEPS_PKGCFG@ |
| MHD_LIB_CFLAGS = @MHD_LIB_CFLAGS@ |
| MHD_LIB_CPPFLAGS = @MHD_LIB_CPPFLAGS@ |
| MHD_LIB_LDFLAGS = @MHD_LIB_LDFLAGS@ |
| MHD_REQ_PRIVATE = @MHD_REQ_PRIVATE@ |
| MKDIR_P = @MKDIR_P@ |
| MS_LIB_TOOL = @MS_LIB_TOOL@ |
| NM = @NM@ |
| NMEDIT = @NMEDIT@ |
| OBJDUMP = @OBJDUMP@ |
| OBJEXT = @OBJEXT@ |
| OPENSSL_INCLUDES = @OPENSSL_INCLUDES@ |
| OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@ |
| OPENSSL_LIBS = @OPENSSL_LIBS@ |
| OTOOL = @OTOOL@ |
| OTOOL64 = @OTOOL64@ |
| PACKAGE = @PACKAGE@ |
| PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| PACKAGE_NAME = @PACKAGE_NAME@ |
| PACKAGE_STRING = @PACKAGE_STRING@ |
| PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| PACKAGE_URL = @PACKAGE_URL@ |
| PACKAGE_VERSION = @PACKAGE_VERSION@ |
| PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@ |
| PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@ |
| PACKAGE_VERSION_SUBMINOR = @PACKAGE_VERSION_SUBMINOR@ |
| PATH_SEPARATOR = @PATH_SEPARATOR@ |
| PKG_CONFIG = @PKG_CONFIG@ |
| PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@ |
| PKG_CONFIG_PATH = @PKG_CONFIG_PATH@ |
| PTHREAD_CC = @PTHREAD_CC@ |
| PTHREAD_CFLAGS = @PTHREAD_CFLAGS@ |
| PTHREAD_LIBS = @PTHREAD_LIBS@ |
| RANLIB = @RANLIB@ |
| RC = @RC@ |
| SED = @SED@ |
| SET_MAKE = @SET_MAKE@ |
| SHELL = @SHELL@ |
| SPDY_LIBDEPS = @SPDY_LIBDEPS@ |
| SPDY_LIB_CFLAGS = @SPDY_LIB_CFLAGS@ |
| SPDY_LIB_CPPFLAGS = @SPDY_LIB_CPPFLAGS@ |
| SPDY_LIB_LDFLAGS = @SPDY_LIB_LDFLAGS@ |
| STRIP = @STRIP@ |
| VERSION = @VERSION@ |
| _libcurl_config = @_libcurl_config@ |
| abs_builddir = @abs_builddir@ |
| abs_srcdir = @abs_srcdir@ |
| abs_top_builddir = @abs_top_builddir@ |
| abs_top_srcdir = @abs_top_srcdir@ |
| ac_ct_AR = @ac_ct_AR@ |
| ac_ct_CC = @ac_ct_CC@ |
| ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ |
| am__include = @am__include@ |
| am__leading_dot = @am__leading_dot@ |
| am__quote = @am__quote@ |
| am__tar = @am__tar@ |
| am__untar = @am__untar@ |
| ax_pthread_config = @ax_pthread_config@ |
| bindir = @bindir@ |
| build = @build@ |
| build_alias = @build_alias@ |
| build_cpu = @build_cpu@ |
| build_os = @build_os@ |
| build_vendor = @build_vendor@ |
| builddir = @builddir@ |
| datadir = @datadir@ |
| datarootdir = @datarootdir@ |
| docdir = @docdir@ |
| dvidir = @dvidir@ |
| exec_prefix = @exec_prefix@ |
| have_socat = @have_socat@ |
| have_zzuf = @have_zzuf@ |
| host = @host@ |
| host_alias = @host_alias@ |
| host_cpu = @host_cpu@ |
| host_os = @host_os@ |
| host_vendor = @host_vendor@ |
| htmldir = @htmldir@ |
| includedir = @includedir@ |
| infodir = @infodir@ |
| install_sh = @install_sh@ |
| libdir = @libdir@ |
| libexecdir = @libexecdir@ |
| localedir = @localedir@ |
| localstatedir = @localstatedir@ |
| lt_cv_objdir = @lt_cv_objdir@ |
| mandir = @mandir@ |
| mkdir_p = @mkdir_p@ |
| oldincludedir = @oldincludedir@ |
| pdfdir = @pdfdir@ |
| prefix = @prefix@ |
| program_transform_name = @program_transform_name@ |
| psdir = @psdir@ |
| sbindir = @sbindir@ |
| sharedstatedir = @sharedstatedir@ |
| srcdir = @srcdir@ |
| sysconfdir = @sysconfdir@ |
| target_alias = @target_alias@ |
| top_build_prefix = @top_build_prefix@ |
| top_builddir = @top_builddir@ |
| top_srcdir = @top_srcdir@ |
| |
| # This Makefile.am is in the public domain |
| SUBDIRS = . $(am__append_1) |
| @USE_COVERAGE_TRUE@AM_CFLAGS = -fprofile-arcs -ftest-coverage |
| AM_CPPFLAGS = \ |
| -DCPU_COUNT=$(CPU_COUNT) \ |
| -I$(top_srcdir) \ |
| -I$(top_srcdir)/src/microhttpd \ |
| -I$(top_srcdir)/src/include \ |
| $(LIBCURL_CPPFLAGS) |
| |
| @HAVE_W32_FALSE@PERF_GET_CONCURRENT = perf_get_concurrent |
| @HAVE_W32_FALSE@TEST_CONCURRENT_STOP = test_concurrent_stop |
| @HAVE_CURL_BINARY_TRUE@@HAVE_W32_FALSE@CURL_FORK_TEST = test_get_response_cleanup |
| @HAVE_CURL_TRUE@TESTS = $(check_PROGRAMS) |
| @HAVE_CURL_TRUE@noinst_LIBRARIES = libcurl_version_check.a |
| libcurl_version_check_a_SOURCES = \ |
| curl_version_check.c |
| |
| test_start_stop_SOURCES = \ |
| test_start_stop.c |
| |
| test_start_stop_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| |
| test_concurrent_stop_SOURCES = \ |
| test_concurrent_stop.c |
| |
| test_concurrent_stop_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_options_SOURCES = \ |
| test_options.c |
| |
| test_options_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| |
| test_get_SOURCES = \ |
| test_get.c |
| |
| test_get_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_quiesce_SOURCES = \ |
| test_quiesce.c |
| |
| test_quiesce_CFLAGS = \ |
| $(PTHREAD_CFLAGS) $(AM_CFLAGS) |
| |
| test_quiesce_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| $(PTHREAD_LIBS) @LIBCURL@ |
| |
| test_callback_SOURCES = \ |
| test_callback.c |
| |
| test_callback_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| perf_get_SOURCES = \ |
| perf_get.c \ |
| gauger.h |
| |
| perf_get_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| perf_get_concurrent_SOURCES = \ |
| perf_get_concurrent.c \ |
| gauger.h |
| |
| perf_get_concurrent_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_digestauth_SOURCES = \ |
| test_digestauth.c |
| |
| test_digestauth_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBGCRYPT_LIBS@ @LIBCURL@ |
| |
| test_digestauth_with_arguments_SOURCES = \ |
| test_digestauth_with_arguments.c |
| |
| test_digestauth_with_arguments_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBGCRYPT_LIBS@ @LIBCURL@ |
| |
| test_get_sendfile_SOURCES = \ |
| test_get_sendfile.c |
| |
| test_get_sendfile_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la @LIBCURL@ \ |
| $(am__append_5) |
| test_get_sendfile_DEPENDENCIES = $(am__append_6) |
| test_urlparse_SOURCES = \ |
| test_urlparse.c |
| |
| test_urlparse_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_get_response_cleanup_SOURCES = \ |
| test_get_response_cleanup.c |
| |
| test_get_response_cleanup_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la |
| |
| test_get_chunked_SOURCES = \ |
| test_get_chunked.c |
| |
| test_get_chunked_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_post_SOURCES = \ |
| test_post.c |
| |
| test_post_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_process_headers_SOURCES = \ |
| test_process_headers.c |
| |
| test_process_headers_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_parse_cookies_SOURCES = \ |
| test_parse_cookies.c |
| |
| test_parse_cookies_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_process_arguments_SOURCES = \ |
| test_process_arguments.c |
| |
| test_process_arguments_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_postform_SOURCES = \ |
| test_postform.c |
| |
| test_postform_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBGCRYPT_LIBS@ @LIBCURL@ |
| |
| test_post_loop_SOURCES = \ |
| test_post_loop.c |
| |
| test_post_loop_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_put_SOURCES = \ |
| test_put.c |
| |
| test_put_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_put_chunked_SOURCES = \ |
| test_put_chunked.c |
| |
| test_put_chunked_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_get11_SOURCES = \ |
| test_get.c |
| |
| test_get11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_get_sendfile11_SOURCES = \ |
| test_get_sendfile.c |
| |
| test_get_sendfile11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la @LIBCURL@ \ |
| $(am__append_7) |
| test_get_sendfile11_DEPENDENCIES = $(am__append_8) |
| test_post11_SOURCES = \ |
| test_post.c |
| |
| test_post11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_postform11_SOURCES = \ |
| test_postform.c |
| |
| test_postform11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBGCRYPT_LIBS@ @LIBCURL@ |
| |
| test_post_loop11_SOURCES = \ |
| test_post_loop.c |
| |
| test_post_loop11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_put11_SOURCES = \ |
| test_put.c |
| |
| test_put11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_large_put_SOURCES = \ |
| test_large_put.c |
| |
| test_large_put_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_large_put11_SOURCES = \ |
| test_large_put.c |
| |
| test_large_put11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_long_header_SOURCES = \ |
| test_long_header.c |
| |
| test_long_header_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_long_header11_SOURCES = \ |
| test_long_header.c |
| |
| test_long_header11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_iplimit11_SOURCES = \ |
| test_iplimit.c |
| |
| test_iplimit11_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_termination_SOURCES = \ |
| test_termination.c |
| |
| test_termination_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| test_timeout_SOURCES = \ |
| test_timeout.c |
| |
| test_timeout_LDADD = \ |
| $(top_builddir)/src/microhttpd/libmicrohttpd.la \ |
| @LIBCURL@ |
| |
| all: all-recursive |
| |
| .SUFFIXES: |
| .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs |
| $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) |
| @for dep in $?; do \ |
| case '$(am__configure_deps)' in \ |
| *$$dep*) \ |
| ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ |
| && { if test -f $@; then exit 0; else break; fi; }; \ |
| exit 1;; \ |
| esac; \ |
| done; \ |
| echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testcurl/Makefile'; \ |
| $(am__cd) $(top_srcdir) && \ |
| $(AUTOMAKE) --gnu src/testcurl/Makefile |
| .PRECIOUS: Makefile |
| Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| @case '$?' in \ |
| *config.status*) \ |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \ |
| *) \ |
| echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \ |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ |
| esac; |
| |
| $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| |
| $(top_srcdir)/configure: $(am__configure_deps) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| $(ACLOCAL_M4): $(am__aclocal_m4_deps) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| $(am__aclocal_m4_deps): |
| |
| clean-noinstLIBRARIES: |
| -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES) |
| |
| libcurl_version_check.a: $(libcurl_version_check_a_OBJECTS) $(libcurl_version_check_a_DEPENDENCIES) $(EXTRA_libcurl_version_check_a_DEPENDENCIES) |
| $(AM_V_at)-rm -f libcurl_version_check.a |
| $(AM_V_AR)$(libcurl_version_check_a_AR) libcurl_version_check.a $(libcurl_version_check_a_OBJECTS) $(libcurl_version_check_a_LIBADD) |
| $(AM_V_at)$(RANLIB) libcurl_version_check.a |
| |
| clean-checkPROGRAMS: |
| @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list || exit $$?; \ |
| test -n "$(EXEEXT)" || exit 0; \ |
| list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list |
| |
| clean-noinstPROGRAMS: |
| @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list || exit $$?; \ |
| test -n "$(EXEEXT)" || exit 0; \ |
| list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list |
| |
| perf_get$(EXEEXT): $(perf_get_OBJECTS) $(perf_get_DEPENDENCIES) $(EXTRA_perf_get_DEPENDENCIES) |
| @rm -f perf_get$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(perf_get_OBJECTS) $(perf_get_LDADD) $(LIBS) |
| |
| perf_get_concurrent$(EXEEXT): $(perf_get_concurrent_OBJECTS) $(perf_get_concurrent_DEPENDENCIES) $(EXTRA_perf_get_concurrent_DEPENDENCIES) |
| @rm -f perf_get_concurrent$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(perf_get_concurrent_OBJECTS) $(perf_get_concurrent_LDADD) $(LIBS) |
| |
| test_callback$(EXEEXT): $(test_callback_OBJECTS) $(test_callback_DEPENDENCIES) $(EXTRA_test_callback_DEPENDENCIES) |
| @rm -f test_callback$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_callback_OBJECTS) $(test_callback_LDADD) $(LIBS) |
| |
| test_concurrent_stop$(EXEEXT): $(test_concurrent_stop_OBJECTS) $(test_concurrent_stop_DEPENDENCIES) $(EXTRA_test_concurrent_stop_DEPENDENCIES) |
| @rm -f test_concurrent_stop$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_concurrent_stop_OBJECTS) $(test_concurrent_stop_LDADD) $(LIBS) |
| |
| test_digestauth$(EXEEXT): $(test_digestauth_OBJECTS) $(test_digestauth_DEPENDENCIES) $(EXTRA_test_digestauth_DEPENDENCIES) |
| @rm -f test_digestauth$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_digestauth_OBJECTS) $(test_digestauth_LDADD) $(LIBS) |
| |
| test_digestauth_with_arguments$(EXEEXT): $(test_digestauth_with_arguments_OBJECTS) $(test_digestauth_with_arguments_DEPENDENCIES) $(EXTRA_test_digestauth_with_arguments_DEPENDENCIES) |
| @rm -f test_digestauth_with_arguments$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_digestauth_with_arguments_OBJECTS) $(test_digestauth_with_arguments_LDADD) $(LIBS) |
| |
| test_get$(EXEEXT): $(test_get_OBJECTS) $(test_get_DEPENDENCIES) $(EXTRA_test_get_DEPENDENCIES) |
| @rm -f test_get$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_get_OBJECTS) $(test_get_LDADD) $(LIBS) |
| |
| test_get11$(EXEEXT): $(test_get11_OBJECTS) $(test_get11_DEPENDENCIES) $(EXTRA_test_get11_DEPENDENCIES) |
| @rm -f test_get11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_get11_OBJECTS) $(test_get11_LDADD) $(LIBS) |
| |
| test_get_chunked$(EXEEXT): $(test_get_chunked_OBJECTS) $(test_get_chunked_DEPENDENCIES) $(EXTRA_test_get_chunked_DEPENDENCIES) |
| @rm -f test_get_chunked$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_get_chunked_OBJECTS) $(test_get_chunked_LDADD) $(LIBS) |
| |
| test_get_response_cleanup$(EXEEXT): $(test_get_response_cleanup_OBJECTS) $(test_get_response_cleanup_DEPENDENCIES) $(EXTRA_test_get_response_cleanup_DEPENDENCIES) |
| @rm -f test_get_response_cleanup$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_get_response_cleanup_OBJECTS) $(test_get_response_cleanup_LDADD) $(LIBS) |
| |
| test_get_sendfile$(EXEEXT): $(test_get_sendfile_OBJECTS) $(test_get_sendfile_DEPENDENCIES) $(EXTRA_test_get_sendfile_DEPENDENCIES) |
| @rm -f test_get_sendfile$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_get_sendfile_OBJECTS) $(test_get_sendfile_LDADD) $(LIBS) |
| |
| test_get_sendfile11$(EXEEXT): $(test_get_sendfile11_OBJECTS) $(test_get_sendfile11_DEPENDENCIES) $(EXTRA_test_get_sendfile11_DEPENDENCIES) |
| @rm -f test_get_sendfile11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_get_sendfile11_OBJECTS) $(test_get_sendfile11_LDADD) $(LIBS) |
| |
| test_iplimit11$(EXEEXT): $(test_iplimit11_OBJECTS) $(test_iplimit11_DEPENDENCIES) $(EXTRA_test_iplimit11_DEPENDENCIES) |
| @rm -f test_iplimit11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_iplimit11_OBJECTS) $(test_iplimit11_LDADD) $(LIBS) |
| |
| test_large_put$(EXEEXT): $(test_large_put_OBJECTS) $(test_large_put_DEPENDENCIES) $(EXTRA_test_large_put_DEPENDENCIES) |
| @rm -f test_large_put$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_large_put_OBJECTS) $(test_large_put_LDADD) $(LIBS) |
| |
| test_large_put11$(EXEEXT): $(test_large_put11_OBJECTS) $(test_large_put11_DEPENDENCIES) $(EXTRA_test_large_put11_DEPENDENCIES) |
| @rm -f test_large_put11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_large_put11_OBJECTS) $(test_large_put11_LDADD) $(LIBS) |
| |
| test_long_header$(EXEEXT): $(test_long_header_OBJECTS) $(test_long_header_DEPENDENCIES) $(EXTRA_test_long_header_DEPENDENCIES) |
| @rm -f test_long_header$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_long_header_OBJECTS) $(test_long_header_LDADD) $(LIBS) |
| |
| test_long_header11$(EXEEXT): $(test_long_header11_OBJECTS) $(test_long_header11_DEPENDENCIES) $(EXTRA_test_long_header11_DEPENDENCIES) |
| @rm -f test_long_header11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_long_header11_OBJECTS) $(test_long_header11_LDADD) $(LIBS) |
| |
| test_options$(EXEEXT): $(test_options_OBJECTS) $(test_options_DEPENDENCIES) $(EXTRA_test_options_DEPENDENCIES) |
| @rm -f test_options$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_options_OBJECTS) $(test_options_LDADD) $(LIBS) |
| |
| test_parse_cookies$(EXEEXT): $(test_parse_cookies_OBJECTS) $(test_parse_cookies_DEPENDENCIES) $(EXTRA_test_parse_cookies_DEPENDENCIES) |
| @rm -f test_parse_cookies$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_parse_cookies_OBJECTS) $(test_parse_cookies_LDADD) $(LIBS) |
| |
| test_post$(EXEEXT): $(test_post_OBJECTS) $(test_post_DEPENDENCIES) $(EXTRA_test_post_DEPENDENCIES) |
| @rm -f test_post$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_post_OBJECTS) $(test_post_LDADD) $(LIBS) |
| |
| test_post11$(EXEEXT): $(test_post11_OBJECTS) $(test_post11_DEPENDENCIES) $(EXTRA_test_post11_DEPENDENCIES) |
| @rm -f test_post11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_post11_OBJECTS) $(test_post11_LDADD) $(LIBS) |
| |
| test_post_loop$(EXEEXT): $(test_post_loop_OBJECTS) $(test_post_loop_DEPENDENCIES) $(EXTRA_test_post_loop_DEPENDENCIES) |
| @rm -f test_post_loop$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_post_loop_OBJECTS) $(test_post_loop_LDADD) $(LIBS) |
| |
| test_post_loop11$(EXEEXT): $(test_post_loop11_OBJECTS) $(test_post_loop11_DEPENDENCIES) $(EXTRA_test_post_loop11_DEPENDENCIES) |
| @rm -f test_post_loop11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_post_loop11_OBJECTS) $(test_post_loop11_LDADD) $(LIBS) |
| |
| test_postform$(EXEEXT): $(test_postform_OBJECTS) $(test_postform_DEPENDENCIES) $(EXTRA_test_postform_DEPENDENCIES) |
| @rm -f test_postform$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_postform_OBJECTS) $(test_postform_LDADD) $(LIBS) |
| |
| test_postform11$(EXEEXT): $(test_postform11_OBJECTS) $(test_postform11_DEPENDENCIES) $(EXTRA_test_postform11_DEPENDENCIES) |
| @rm -f test_postform11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_postform11_OBJECTS) $(test_postform11_LDADD) $(LIBS) |
| |
| test_process_arguments$(EXEEXT): $(test_process_arguments_OBJECTS) $(test_process_arguments_DEPENDENCIES) $(EXTRA_test_process_arguments_DEPENDENCIES) |
| @rm -f test_process_arguments$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_process_arguments_OBJECTS) $(test_process_arguments_LDADD) $(LIBS) |
| |
| test_process_headers$(EXEEXT): $(test_process_headers_OBJECTS) $(test_process_headers_DEPENDENCIES) $(EXTRA_test_process_headers_DEPENDENCIES) |
| @rm -f test_process_headers$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_process_headers_OBJECTS) $(test_process_headers_LDADD) $(LIBS) |
| |
| test_put$(EXEEXT): $(test_put_OBJECTS) $(test_put_DEPENDENCIES) $(EXTRA_test_put_DEPENDENCIES) |
| @rm -f test_put$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_put_OBJECTS) $(test_put_LDADD) $(LIBS) |
| |
| test_put11$(EXEEXT): $(test_put11_OBJECTS) $(test_put11_DEPENDENCIES) $(EXTRA_test_put11_DEPENDENCIES) |
| @rm -f test_put11$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_put11_OBJECTS) $(test_put11_LDADD) $(LIBS) |
| |
| test_put_chunked$(EXEEXT): $(test_put_chunked_OBJECTS) $(test_put_chunked_DEPENDENCIES) $(EXTRA_test_put_chunked_DEPENDENCIES) |
| @rm -f test_put_chunked$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_put_chunked_OBJECTS) $(test_put_chunked_LDADD) $(LIBS) |
| |
| test_quiesce$(EXEEXT): $(test_quiesce_OBJECTS) $(test_quiesce_DEPENDENCIES) $(EXTRA_test_quiesce_DEPENDENCIES) |
| @rm -f test_quiesce$(EXEEXT) |
| $(AM_V_CCLD)$(test_quiesce_LINK) $(test_quiesce_OBJECTS) $(test_quiesce_LDADD) $(LIBS) |
| |
| test_start_stop$(EXEEXT): $(test_start_stop_OBJECTS) $(test_start_stop_DEPENDENCIES) $(EXTRA_test_start_stop_DEPENDENCIES) |
| @rm -f test_start_stop$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_start_stop_OBJECTS) $(test_start_stop_LDADD) $(LIBS) |
| |
| test_termination$(EXEEXT): $(test_termination_OBJECTS) $(test_termination_DEPENDENCIES) $(EXTRA_test_termination_DEPENDENCIES) |
| @rm -f test_termination$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_termination_OBJECTS) $(test_termination_LDADD) $(LIBS) |
| |
| test_timeout$(EXEEXT): $(test_timeout_OBJECTS) $(test_timeout_DEPENDENCIES) $(EXTRA_test_timeout_DEPENDENCIES) |
| @rm -f test_timeout$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_timeout_OBJECTS) $(test_timeout_LDADD) $(LIBS) |
| |
| test_urlparse$(EXEEXT): $(test_urlparse_OBJECTS) $(test_urlparse_DEPENDENCIES) $(EXTRA_test_urlparse_DEPENDENCIES) |
| @rm -f test_urlparse$(EXEEXT) |
| $(AM_V_CCLD)$(LINK) $(test_urlparse_OBJECTS) $(test_urlparse_LDADD) $(LIBS) |
| |
| mostlyclean-compile: |
| -rm -f *.$(OBJEXT) |
| |
| distclean-compile: |
| -rm -f *.tab.c |
| |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curl_version_check.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/perf_get.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/perf_get_concurrent.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_callback.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_concurrent_stop.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digestauth.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_digestauth_with_arguments.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get_chunked.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get_response_cleanup.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_get_sendfile.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_iplimit.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_large_put.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_long_header.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_options.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_parse_cookies.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_post.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_post_loop.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_postform.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_process_arguments.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_process_headers.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_put_chunked.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_quiesce-test_quiesce.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_start_stop.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_termination.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_timeout.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_urlparse.Po@am__quote@ |
| |
| .c.o: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\ |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\ |
| @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $< |
| |
| .c.obj: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\ |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\ |
| @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'` |
| |
| .c.lo: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\ |
| @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\ |
| @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $< |
| |
| test_quiesce-test_quiesce.o: test_quiesce.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quiesce_CFLAGS) $(CFLAGS) -MT test_quiesce-test_quiesce.o -MD -MP -MF $(DEPDIR)/test_quiesce-test_quiesce.Tpo -c -o test_quiesce-test_quiesce.o `test -f 'test_quiesce.c' || echo '$(srcdir)/'`test_quiesce.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/test_quiesce-test_quiesce.Tpo $(DEPDIR)/test_quiesce-test_quiesce.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='test_quiesce.c' object='test_quiesce-test_quiesce.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quiesce_CFLAGS) $(CFLAGS) -c -o test_quiesce-test_quiesce.o `test -f 'test_quiesce.c' || echo '$(srcdir)/'`test_quiesce.c |
| |
| test_quiesce-test_quiesce.obj: test_quiesce.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quiesce_CFLAGS) $(CFLAGS) -MT test_quiesce-test_quiesce.obj -MD -MP -MF $(DEPDIR)/test_quiesce-test_quiesce.Tpo -c -o test_quiesce-test_quiesce.obj `if test -f 'test_quiesce.c'; then $(CYGPATH_W) 'test_quiesce.c'; else $(CYGPATH_W) '$(srcdir)/test_quiesce.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/test_quiesce-test_quiesce.Tpo $(DEPDIR)/test_quiesce-test_quiesce.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='test_quiesce.c' object='test_quiesce-test_quiesce.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_quiesce_CFLAGS) $(CFLAGS) -c -o test_quiesce-test_quiesce.obj `if test -f 'test_quiesce.c'; then $(CYGPATH_W) 'test_quiesce.c'; else $(CYGPATH_W) '$(srcdir)/test_quiesce.c'; fi` |
| |
| mostlyclean-libtool: |
| -rm -f *.lo |
| |
| clean-libtool: |
| -rm -rf .libs _libs |
| |
| # This directory's subdirectories are mostly independent; you can cd |
| # into them and run 'make' without going through this Makefile. |
| # To change the values of 'make' variables: instead of editing Makefiles, |
| # (1) if the variable is set in 'config.status', edit 'config.status' |
| # (which will cause the Makefiles to be regenerated when you run 'make'); |
| # (2) otherwise, pass the desired values on the 'make' command line. |
| $(am__recursive_targets): |
| @fail=; \ |
| if $(am__make_keepgoing); then \ |
| failcom='fail=yes'; \ |
| else \ |
| failcom='exit 1'; \ |
| fi; \ |
| dot_seen=no; \ |
| target=`echo $@ | sed s/-recursive//`; \ |
| case "$@" in \ |
| distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ |
| *) list='$(SUBDIRS)' ;; \ |
| esac; \ |
| for subdir in $$list; do \ |
| echo "Making $$target in $$subdir"; \ |
| if test "$$subdir" = "."; then \ |
| dot_seen=yes; \ |
| local_target="$$target-am"; \ |
| else \ |
| local_target="$$target"; \ |
| fi; \ |
| ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ |
| || eval $$failcom; \ |
| done; \ |
| if test "$$dot_seen" = "no"; then \ |
| $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ |
| fi; test -z "$$fail" |
| |
| ID: $(am__tagged_files) |
| $(am__define_uniq_tagged_files); mkid -fID $$unique |
| tags: tags-recursive |
| TAGS: tags |
| |
| tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| set x; \ |
| here=`pwd`; \ |
| if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ |
| include_option=--etags-include; \ |
| empty_fix=.; \ |
| else \ |
| include_option=--include; \ |
| empty_fix=; \ |
| fi; \ |
| list='$(SUBDIRS)'; for subdir in $$list; do \ |
| if test "$$subdir" = .; then :; else \ |
| test ! -f $$subdir/TAGS || \ |
| set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ |
| fi; \ |
| done; \ |
| $(am__define_uniq_tagged_files); \ |
| shift; \ |
| if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ |
| test -n "$$unique" || unique=$$empty_fix; \ |
| if test $$# -gt 0; then \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| "$$@" $$unique; \ |
| else \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| $$unique; \ |
| fi; \ |
| fi |
| ctags: ctags-recursive |
| |
| CTAGS: ctags |
| ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| $(am__define_uniq_tagged_files); \ |
| test -z "$(CTAGS_ARGS)$$unique" \ |
| || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| $$unique |
| |
| GTAGS: |
| here=`$(am__cd) $(top_builddir) && pwd` \ |
| && $(am__cd) $(top_srcdir) \ |
| && gtags -i $(GTAGS_ARGS) "$$here" |
| cscopelist: cscopelist-recursive |
| |
| cscopelist-am: $(am__tagged_files) |
| list='$(am__tagged_files)'; \ |
| case "$(srcdir)" in \ |
| [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ |
| *) sdir=$(subdir)/$(srcdir) ;; \ |
| esac; \ |
| for i in $$list; do \ |
| if test -f "$$i"; then \ |
| echo "$(subdir)/$$i"; \ |
| else \ |
| echo "$$sdir/$$i"; \ |
| fi; \ |
| done >> $(top_builddir)/cscope.files |
| |
| distclean-tags: |
| -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| |
| # Recover from deleted '.trs' file; this should ensure that |
| # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create |
| # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells |
| # to avoid problems with "make -n". |
| .log.trs: |
| rm -f $< $@ |
| $(MAKE) $(AM_MAKEFLAGS) $< |
| |
| # Leading 'am--fnord' is there to ensure the list of targets does not |
| # expand to empty, as could happen e.g. with make check TESTS=''. |
| am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck) |
| am--force-recheck: |
| @: |
| |
| $(TEST_SUITE_LOG): $(TEST_LOGS) |
| @$(am__set_TESTS_bases); \ |
| am__f_ok () { test -f "$$1" && test -r "$$1"; }; \ |
| redo_bases=`for i in $$bases; do \ |
| am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \ |
| done`; \ |
| if test -n "$$redo_bases"; then \ |
| redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \ |
| redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \ |
| if $(am__make_dryrun); then :; else \ |
| rm -f $$redo_logs && rm -f $$redo_results || exit 1; \ |
| fi; \ |
| fi; \ |
| if test -n "$$am__remaking_logs"; then \ |
| echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \ |
| "recursion detected" >&2; \ |
| else \ |
| am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \ |
| fi; \ |
| if $(am__make_dryrun); then :; else \ |
| st=0; \ |
| errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \ |
| for i in $$redo_bases; do \ |
| test -f $$i.trs && test -r $$i.trs \ |
| || { echo "$$errmsg $$i.trs" >&2; st=1; }; \ |
| test -f $$i.log && test -r $$i.log \ |
| || { echo "$$errmsg $$i.log" >&2; st=1; }; \ |
| done; \ |
| test $$st -eq 0 || exit 1; \ |
| fi |
| @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \ |
| ws='[ ]'; \ |
| results=`for b in $$bases; do echo $$b.trs; done`; \ |
| test -n "$$results" || results=/dev/null; \ |
| all=` grep "^$$ws*:test-result:" $$results | wc -l`; \ |
| pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \ |
| fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \ |
| skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \ |
| xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \ |
| xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \ |
| error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \ |
| if test `expr $$fail + $$xpass + $$error` -eq 0; then \ |
| success=true; \ |
| else \ |
| success=false; \ |
| fi; \ |
| br='==================='; br=$$br$$br$$br$$br; \ |
| result_count () \ |
| { \ |
| if test x"$$1" = x"--maybe-color"; then \ |
| maybe_colorize=yes; \ |
| elif test x"$$1" = x"--no-color"; then \ |
| maybe_colorize=no; \ |
| else \ |
| echo "$@: invalid 'result_count' usage" >&2; exit 4; \ |
| fi; \ |
| shift; \ |
| desc=$$1 count=$$2; \ |
| if test $$maybe_colorize = yes && test $$count -gt 0; then \ |
| color_start=$$3 color_end=$$std; \ |
| else \ |
| color_start= color_end=; \ |
| fi; \ |
| echo "$${color_start}# $$desc $$count$${color_end}"; \ |
| }; \ |
| create_testsuite_report () \ |
| { \ |
| result_count $$1 "TOTAL:" $$all "$$brg"; \ |
| result_count $$1 "PASS: " $$pass "$$grn"; \ |
| result_count $$1 "SKIP: " $$skip "$$blu"; \ |
| result_count $$1 "XFAIL:" $$xfail "$$lgn"; \ |
| result_count $$1 "FAIL: " $$fail "$$red"; \ |
| result_count $$1 "XPASS:" $$xpass "$$red"; \ |
| result_count $$1 "ERROR:" $$error "$$mgn"; \ |
| }; \ |
| { \ |
| echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \ |
| $(am__rst_title); \ |
| create_testsuite_report --no-color; \ |
| echo; \ |
| echo ".. contents:: :depth: 2"; \ |
| echo; \ |
| for b in $$bases; do echo $$b; done \ |
| | $(am__create_global_log); \ |
| } >$(TEST_SUITE_LOG).tmp || exit 1; \ |
| mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \ |
| if $$success; then \ |
| col="$$grn"; \ |
| else \ |
| col="$$red"; \ |
| test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \ |
| fi; \ |
| echo "$${col}$$br$${std}"; \ |
| echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \ |
| echo "$${col}$$br$${std}"; \ |
| create_testsuite_report --maybe-color; \ |
| echo "$$col$$br$$std"; \ |
| if $$success; then :; else \ |
| echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \ |
| if test -n "$(PACKAGE_BUGREPORT)"; then \ |
| echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \ |
| fi; \ |
| echo "$$col$$br$$std"; \ |
| fi; \ |
| $$success || exit 1 |
| |
| check-TESTS: |
| @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list |
| @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list |
| @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| @set +e; $(am__set_TESTS_bases); \ |
| log_list=`for i in $$bases; do echo $$i.log; done`; \ |
| trs_list=`for i in $$bases; do echo $$i.trs; done`; \ |
| log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \ |
| $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \ |
| exit $$?; |
| recheck: all $(check_PROGRAMS) |
| @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| @set +e; $(am__set_TESTS_bases); \ |
| bases=`for i in $$bases; do echo $$i; done \ |
| | $(am__list_recheck_tests)` || exit 1; \ |
| log_list=`for i in $$bases; do echo $$i.log; done`; \ |
| log_list=`echo $$log_list`; \ |
| $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \ |
| am__force_recheck=am--force-recheck \ |
| TEST_LOGS="$$log_list"; \ |
| exit $$? |
| test_start_stop.log: test_start_stop$(EXEEXT) |
| @p='test_start_stop$(EXEEXT)'; \ |
| b='test_start_stop'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_get.log: test_get$(EXEEXT) |
| @p='test_get$(EXEEXT)'; \ |
| b='test_get'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_get_sendfile.log: test_get_sendfile$(EXEEXT) |
| @p='test_get_sendfile$(EXEEXT)'; \ |
| b='test_get_sendfile'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_urlparse.log: test_urlparse$(EXEEXT) |
| @p='test_urlparse$(EXEEXT)'; \ |
| b='test_urlparse'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_put.log: test_put$(EXEEXT) |
| @p='test_put$(EXEEXT)'; \ |
| b='test_put'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_concurrent_stop.log: test_concurrent_stop$(EXEEXT) |
| @p='test_concurrent_stop$(EXEEXT)'; \ |
| b='test_concurrent_stop'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_process_headers.log: test_process_headers$(EXEEXT) |
| @p='test_process_headers$(EXEEXT)'; \ |
| b='test_process_headers'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_process_arguments.log: test_process_arguments$(EXEEXT) |
| @p='test_process_arguments$(EXEEXT)'; \ |
| b='test_process_arguments'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_parse_cookies.log: test_parse_cookies$(EXEEXT) |
| @p='test_parse_cookies$(EXEEXT)'; \ |
| b='test_parse_cookies'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_large_put.log: test_large_put$(EXEEXT) |
| @p='test_large_put$(EXEEXT)'; \ |
| b='test_large_put'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_get11.log: test_get11$(EXEEXT) |
| @p='test_get11$(EXEEXT)'; \ |
| b='test_get11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_get_sendfile11.log: test_get_sendfile11$(EXEEXT) |
| @p='test_get_sendfile11$(EXEEXT)'; \ |
| b='test_get_sendfile11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_put11.log: test_put11$(EXEEXT) |
| @p='test_put11$(EXEEXT)'; \ |
| b='test_put11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_large_put11.log: test_large_put11$(EXEEXT) |
| @p='test_large_put11$(EXEEXT)'; \ |
| b='test_large_put11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_long_header.log: test_long_header$(EXEEXT) |
| @p='test_long_header$(EXEEXT)'; \ |
| b='test_long_header'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_long_header11.log: test_long_header11$(EXEEXT) |
| @p='test_long_header11$(EXEEXT)'; \ |
| b='test_long_header11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_get_chunked.log: test_get_chunked$(EXEEXT) |
| @p='test_get_chunked$(EXEEXT)'; \ |
| b='test_get_chunked'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_put_chunked.log: test_put_chunked$(EXEEXT) |
| @p='test_put_chunked$(EXEEXT)'; \ |
| b='test_put_chunked'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_iplimit11.log: test_iplimit11$(EXEEXT) |
| @p='test_iplimit11$(EXEEXT)'; \ |
| b='test_iplimit11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_termination.log: test_termination$(EXEEXT) |
| @p='test_termination$(EXEEXT)'; \ |
| b='test_termination'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_timeout.log: test_timeout$(EXEEXT) |
| @p='test_timeout$(EXEEXT)'; \ |
| b='test_timeout'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_callback.log: test_callback$(EXEEXT) |
| @p='test_callback$(EXEEXT)'; \ |
| b='test_callback'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_get_response_cleanup.log: test_get_response_cleanup$(EXEEXT) |
| @p='test_get_response_cleanup$(EXEEXT)'; \ |
| b='test_get_response_cleanup'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| perf_get.log: perf_get$(EXEEXT) |
| @p='perf_get$(EXEEXT)'; \ |
| b='perf_get'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| perf_get_concurrent.log: perf_get_concurrent$(EXEEXT) |
| @p='perf_get_concurrent$(EXEEXT)'; \ |
| b='perf_get_concurrent'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_quiesce.log: test_quiesce$(EXEEXT) |
| @p='test_quiesce$(EXEEXT)'; \ |
| b='test_quiesce'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_post.log: test_post$(EXEEXT) |
| @p='test_post$(EXEEXT)'; \ |
| b='test_post'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_postform.log: test_postform$(EXEEXT) |
| @p='test_postform$(EXEEXT)'; \ |
| b='test_postform'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_post_loop.log: test_post_loop$(EXEEXT) |
| @p='test_post_loop$(EXEEXT)'; \ |
| b='test_post_loop'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_post11.log: test_post11$(EXEEXT) |
| @p='test_post11$(EXEEXT)'; \ |
| b='test_post11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_postform11.log: test_postform11$(EXEEXT) |
| @p='test_postform11$(EXEEXT)'; \ |
| b='test_postform11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_post_loop11.log: test_post_loop11$(EXEEXT) |
| @p='test_post_loop11$(EXEEXT)'; \ |
| b='test_post_loop11'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_digestauth.log: test_digestauth$(EXEEXT) |
| @p='test_digestauth$(EXEEXT)'; \ |
| b='test_digestauth'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| test_digestauth_with_arguments.log: test_digestauth_with_arguments$(EXEEXT) |
| @p='test_digestauth_with_arguments$(EXEEXT)'; \ |
| b='test_digestauth_with_arguments'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| .test.log: |
| @p='$<'; \ |
| $(am__set_b); \ |
| $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| @am__EXEEXT_TRUE@.test$(EXEEXT).log: |
| @am__EXEEXT_TRUE@ @p='$<'; \ |
| @am__EXEEXT_TRUE@ $(am__set_b); \ |
| @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ |
| @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \ |
| @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ |
| @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT) |
| |
| distdir: $(DISTFILES) |
| @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| list='$(DISTFILES)'; \ |
| dist_files=`for file in $$list; do echo $$file; done | \ |
| sed -e "s|^$$srcdirstrip/||;t" \ |
| -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ |
| case $$dist_files in \ |
| */*) $(MKDIR_P) `echo "$$dist_files" | \ |
| sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ |
| sort -u` ;; \ |
| esac; \ |
| for file in $$dist_files; do \ |
| if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ |
| if test -d $$d/$$file; then \ |
| dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ |
| if test -d "$(distdir)/$$file"; then \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| fi; \ |
| if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ |
| cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| fi; \ |
| cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ |
| else \ |
| test -f "$(distdir)/$$file" \ |
| || cp -p $$d/$$file "$(distdir)/$$file" \ |
| || exit 1; \ |
| fi; \ |
| done |
| @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ |
| if test "$$subdir" = .; then :; else \ |
| $(am__make_dryrun) \ |
| || test -d "$(distdir)/$$subdir" \ |
| || $(MKDIR_P) "$(distdir)/$$subdir" \ |
| || exit 1; \ |
| dir1=$$subdir; dir2="$(distdir)/$$subdir"; \ |
| $(am__relativize); \ |
| new_distdir=$$reldir; \ |
| dir1=$$subdir; dir2="$(top_distdir)"; \ |
| $(am__relativize); \ |
| new_top_distdir=$$reldir; \ |
| echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \ |
| echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \ |
| ($(am__cd) $$subdir && \ |
| $(MAKE) $(AM_MAKEFLAGS) \ |
| top_distdir="$$new_top_distdir" \ |
| distdir="$$new_distdir" \ |
| am__remove_distdir=: \ |
| am__skip_length_check=: \ |
| am__skip_mode_fix=: \ |
| distdir) \ |
| || exit 1; \ |
| fi; \ |
| done |
| check-am: all-am |
| $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) |
| $(MAKE) $(AM_MAKEFLAGS) check-TESTS |
| check: check-recursive |
| all-am: Makefile $(LIBRARIES) $(PROGRAMS) |
| installdirs: installdirs-recursive |
| installdirs-am: |
| install: install-recursive |
| install-exec: install-exec-recursive |
| install-data: install-data-recursive |
| uninstall: uninstall-recursive |
| |
| install-am: all-am |
| @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am |
| |
| installcheck: installcheck-recursive |
| install-strip: |
| if test -z '$(STRIP)'; then \ |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| install; \ |
| else \ |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ |
| fi |
| mostlyclean-generic: |
| -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS) |
| -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs) |
| -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| |
| clean-generic: |
| |
| distclean-generic: |
| -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) |
| |
| maintainer-clean-generic: |
| @echo "This command is intended for maintainers to use" |
| @echo "it deletes files that may require special tools to rebuild." |
| clean: clean-recursive |
| |
| clean-am: clean-checkPROGRAMS clean-generic clean-libtool \ |
| clean-noinstLIBRARIES clean-noinstPROGRAMS mostlyclean-am |
| |
| distclean: distclean-recursive |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| distclean-am: clean-am distclean-compile distclean-generic \ |
| distclean-tags |
| |
| dvi: dvi-recursive |
| |
| dvi-am: |
| |
| html: html-recursive |
| |
| html-am: |
| |
| info: info-recursive |
| |
| info-am: |
| |
| install-data-am: |
| |
| install-dvi: install-dvi-recursive |
| |
| install-dvi-am: |
| |
| install-exec-am: |
| |
| install-html: install-html-recursive |
| |
| install-html-am: |
| |
| install-info: install-info-recursive |
| |
| install-info-am: |
| |
| install-man: |
| |
| install-pdf: install-pdf-recursive |
| |
| install-pdf-am: |
| |
| install-ps: install-ps-recursive |
| |
| install-ps-am: |
| |
| installcheck-am: |
| |
| maintainer-clean: maintainer-clean-recursive |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| maintainer-clean-am: distclean-am maintainer-clean-generic |
| |
| mostlyclean: mostlyclean-recursive |
| |
| mostlyclean-am: mostlyclean-compile mostlyclean-generic \ |
| mostlyclean-libtool |
| |
| pdf: pdf-recursive |
| |
| pdf-am: |
| |
| ps: ps-recursive |
| |
| ps-am: |
| |
| uninstall-am: |
| |
| .MAKE: $(am__recursive_targets) check-am install-am install-strip |
| |
| .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \ |
| check-TESTS check-am clean clean-checkPROGRAMS clean-generic \ |
| clean-libtool clean-noinstLIBRARIES clean-noinstPROGRAMS \ |
| cscopelist-am ctags ctags-am distclean distclean-compile \ |
| distclean-generic distclean-libtool distclean-tags distdir dvi \ |
| dvi-am html html-am info info-am install install-am \ |
| install-data install-data-am install-dvi install-dvi-am \ |
| install-exec install-exec-am install-html install-html-am \ |
| install-info install-info-am install-man install-pdf \ |
| install-pdf-am install-ps install-ps-am install-strip \ |
| installcheck installcheck-am installdirs installdirs-am \ |
| maintainer-clean maintainer-clean-generic mostlyclean \ |
| mostlyclean-compile mostlyclean-generic mostlyclean-libtool \ |
| pdf pdf-am ps ps-am recheck tags tags-am uninstall \ |
| uninstall-am |
| |
| |
| # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| # Otherwise a system limit (for SysV at least) may be exceeded. |
| .NOEXPORT: |